import { routerRedux } from 'dva/router';
import {getToken, setToken} from "../utils/auth";
import {login} from '../services/login.js'
const fetchToken = async (url) => {
  return fetch(`V4/GetWXUserInfo/${url}`,{
    method: 'GET',
    mode: 'cors',
    credentials:'include',
  })
    .then((response) => response.json())
    .then((text) => {
      return text
    });
};
export default {

  namespace: 'middleSelect',

  state: {
    tokenId:null,
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line
    },
  },

  effects: {
    *checkOpenID({ payload }, { call, put,select }) {  // eslint-disable-line
      console.info(window.location.search);
      let url = window.location.search; //获取url中"?"符后的字串
      const { telnum } = yield select(state => state.login);
      console.info(`输出获取的参数${telnum}`);
      console.info(`输出获取的参数${url}`);
      const pay={
          type: 'userName',
          userName: 'admin',
          authType: 'password',
          password: 'admin'
      };
     let mm= yield login(pay);

      console.info(`打印结果为：${mm.tokenId}`);
      console.info(mm);
      // let tokenId = yield call(fetchToken, url);
      let tokenId=mm.tokenId;
      //tokenId=yield call(getUserFromV4,{},{},false);
      if(tokenId!==null&&tokenId!==""&&tokenId!=='无内容'&&tokenId!=='用户未注册')
      {
        console.log(tokenId);
        yield call(setToken, tokenId);// 这里的yield ,跟C#中的await一样
        yield put(routerRedux.push('/Home'))
      }else
      {
        tokenId=yield call(getToken);
        if(tokenId!==null&&tokenId!=="") {
          yield put(routerRedux.push('/Home'));
        }else{
          yield put(routerRedux.push('/Login'));
        }

      }
    },
  },

  reducers: {
    setShowToptips(state,{payload}){
      return {...state,showToptips:payload.ShowToptips,errormsg:payload.errormsg};
    },
  },

};
